Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 167506 - system slowness...
system slowness...
Status: CLOSED INVALID
Product: ide
Classification: Unclassified
Component: Performance
3.x
PC All
: P1 (vote)
: TBD
Assigned To: issues@performance
issues@performance
perf-profileme
: PERFORMANCE
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-23 08:10 UTC by kawazu428
Modified: 2011-05-25 11:38 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
snapshot, image (40.17 KB, text/plain)
2009-06-23 08:11 UTC, kawazu428
Details
snapshot, image (40.17 KB, image/png)
2009-06-23 08:11 UTC, kawazu428
Details
snapshot, binary (14.50 KB, application/octet-stream)
2009-06-23 08:12 UTC, kawazu428
Details

Note You need to log in before you can comment on or make changes to this bug.
Description kawazu428 2009-06-23 08:10:51 UTC
Use case: Downloaded a new nightly build, started the IDE (folder-of-projects group, > 52 maven2 projects), started
editing a few .java and .xml files. This is similar to #167199 in terms of phenomenon but posting it to a new issue to
keep it separated.


Product Version: NetBeans IDE Dev (Build 200906221401)
Java: 1.6.0_14; Java HotSpot(TM) Server VM 14.0-b16
System: Linux version 2.6.28-13-generic running on i386; UTF-8; de_DE (nb)
Userdir: /home/kr/.netbeans/dev-pre7
Comment 1 kawazu428 2009-06-23 08:11:46 UTC
Created attachment 83909 [details]
snapshot, image
Comment 2 kawazu428 2009-06-23 08:11:50 UTC
Created attachment 83910 [details]
snapshot, image
Comment 3 kawazu428 2009-06-23 08:12:39 UTC
Created attachment 83911 [details]
snapshot, binary
Comment 4 Max Sauer 2009-07-07 10:18:29 UTC
There's nothing from java.editor in the snapshot. Largest portion of time is spent in openide.nodes.Children.getNodes and client handler -- reassigning.
Comment 5 t_h 2009-07-07 13:59:49 UTC
I do not see anything wrong. AWT thread is blocked for few hundred ms while node is expanding for the first time.
Comment 6 Max Sauer 2009-07-07 14:19:07 UTC
We should close this as WONTFIX imho.
Comment 7 David Strupl 2009-07-07 14:25:33 UTC
Before closing as WONTFIX please wait for the user comments as to specifically what was slow. If he complains about
project openning or project and package nodes expanding or ...? If the report is just that the Jarda's post mortem
analyzer detected something slow in AWT thread we might check whether the explorer blocks tha AWT thread for too long.
Please wait a second before closing this.
Comment 8 kawazu428 2009-07-07 14:35:16 UTC
I really would enjoy providing more input on what exactly is slow here if I just knew where to look at the moment. For
what I have seen right now, using very few projects ( 3..5, maven2 and/or java projects) opened in the IDE, things work
reasonably fast. Having my project group opened at the moment however, it's slow, and it seems, by then, that everything
is slow (opening files - .jsp, .java, .xml - in an editor, expanding project nodes in "Projects" view, ...), with the
"system slowness..." message popping up rather frequently. It also happens in situations in which I just have NetBeans
and my mail client opened so it's not just a matter of my machine running maxed-out. So, if I can provide any additional
information on that, I would be glad to so so...
Comment 9 kawazu428 2009-07-22 15:08:26 UTC
Removing the quotes in the issue summary and raising the priority, knowing that this will not persist for to long,
however: Using NetBeans with my project group at the moment is not fun, actually it's nowhere near usable, no matter
whether 6.7 or nightly build. Works fine in a small setup, having a couple (2 .. 10) projects opened, but right now,
having our fifty-something maven2 projects, each of them with a decent set of dependencies, the IDE is next to unusable:

- Opening the "Help" -> "About" box took about 10 secs just to put down the system information (see below). 
- Task-switching to the NetBeans IDE makes the window require 3 .. 5 seconds for the window to be repainted.
- Expanding a project (clicking the icon in "Project") takes 5..15 seconds.
- Expanding "Source packages" in a small maven2 project takes 5 .. 10 seconds.
- Opening a rather simple Swing form in matisse takes around 15 seconds, closing it again takes 5 .. 10 seconds.
- Right-clicking a project at the moment takes two seconds for the context menu (grey) to appear and two more seconds
for its content to actually be displayed.
- Opening a servlet class in java editor takes 5..10 seconds.
- The dreaded "system slowness..." window merrily pops up, reporting slownesses between 1.5 .. 13 secs. 

Off-hand: I don't know what to do. If there is _any_ meaningful input I can provide on this issue (dedicated profiling
results, ...), please _name_ it. At the moment, the IDE is unusable to me. :(

Running applications: XFCE desktop (trimmed down), Firefox, Thunderbird, NetBeans

Product Version: NetBeans IDE Dev (Build 200907161401)
Java: 1.6.0_14; Java HotSpot(TM) Server VM 14.0-b16
System: Linux version 2.6.28-13-generic running on i386; UTF-8; de_DE (nb)
Userdir: /home/kr/.netbeans/dev-pre7
Comment 10 t_h 2009-07-22 15:54:28 UTC
Can you please provide few more snapshots or stack traces when AWT is blocked? I think it may help if DelegateChildren in 
org.netbeans.spi.project.ui.support.NodeFactorySupport would be asynchronous. Probably AWT is blocked in snapshot
provided by waiting until addNotify() is finished in DelegateChildren. Milane, would it be possible to make this change?
Comment 11 David Strupl 2009-07-22 15:55:44 UTC
The most valuable feedback is when you use the latest daily build from here:

http://bits.netbeans.org/download/trunk/nightly/latest/

and whenever the annoying "slowness detected" thing pops up you actually click it and semi-automatically send the data
(the .nps) file. As I can see only one .nps file attached to this issue I assume that your reports are being put into
different issues or you don't click it ;-)

The alternative way is to manually start the profiling of netbeans from the toolbar (the last icon in the toolbar), do
the action that is slow, click the toolbar again to create the snapsot and attach the snapsot to the issue.

But please create separate issue for different things that weree slow and to each of the issue write your approximate
project structure like you wrote here (e.g. I have 50 maven projects opened etc.).

We can do the testing ourselves provided that we have either your projects or similar setup - it would be very usefull
if we could reproduce your problems locally. Are your projects private or can you share them (open source maybe)?
Comment 12 Milan Kubec 2009-07-23 09:03:21 UTC
It could be probably done, but I'd be afraid of deadlocks. And I also doubt that it would help in this way too generic
issue of "everything is slow".
Comment 13 Jaroslav Tulach 2009-07-23 11:09:54 UTC
The last attached NPS file is useless as it does not show at all what is the problem. Unless more detailed data are 
provided, there is nothing we can do about this issue.
Comment 14 kawazu428 2009-07-23 11:15:49 UTC
thanks a bunch for your patience then and sorry for being too "generic", but at the moment honestly I don't know what
kind of more detailed information I can provide except for reporting in which situations I experience "slowness". I have
come to, by now, clicking and reporting every single appearance of the "system slowness..." report, gonna see where this
takes me.
Comment 15 Jaroslav Tulach 2009-07-24 14:02:41 UTC
I've noticed a lot of reports by you recently. Thanks and welcome to performance team[1]!

[1] http://wiki.netbeans.org/Fitness68PressRelease
Comment 16 kawazu428 2009-07-24 14:05:25 UTC
Thanks... :) still not sure what kind of use my reports might have, as I sometimes just feel like "blindly clicking" on
"report..." in these situations... hope it's worth something, at least. :)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo